# class DBus::Data::Int64

Signed 64 bit integer.

### Constants

FORMAT

### Public Class Methods

alignment() click to toggle source

        # File lib/dbus/data.rb
    340 def self.alignment
    341   8
    342 end

format() click to toggle source

        # File lib/dbus/data.rb
    345 def self.format
    346   FORMAT
    347 end

range() click to toggle source

        # File lib/dbus/data.rb
    349 def self.range
    350   (-9_223_372_036_854_775_808..9_223_372_036_854_775_807)
    351 end

type_code() click to toggle source

        # File lib/dbus/data.rb
    336 def self.type_code
    337   "x"
    338 end